using System;
using System.IO;
using Addison_Wesley.Codebook.Filesystem;

namespace Ordner_kopieren
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Kopírování adresáře pomocí SHFileOperation s dialogem o postupu a možností přerušení";

         // Zjištění jmen adresářů
         string sourceFolderName = @"C:\Temp\Codebook";
         string destFolderName = @"C:\Backup\Codebook";

         Console.WriteLine("Kopíruji {0} na {1} ...", sourceFolderName,
            destFolderName);

         // Vytvoření cílového adresáře, pokud již neexistuje
         Directory.CreateDirectory(destFolderName);

         // Rekurzivní kopírování s možností dotazku k uživateli,
         // je-li třeba přepsat cílový soubor
         try
         {
            FolderUtil.CopyFolder(sourceFolderName, destFolderName, true);
         }
         catch (Exception ex)
         {
            Console.WriteLine(ex.Message);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
